"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = __importDefault(require("fs"));
var jpeg_appender_1 = require("./jpeg-appender");
var png_appender_1 = require("./png-appender");
exports.getImage = function (imagePath, pdf) {
    var img;
    var data = fs_1.default.readFileSync(imagePath);
    if (data[0] === 0xff && data[1] === 0xd8) {
        img = jpeg_appender_1.getJpgImage(pdf, data);
    }
    else if (data[0] === 0x89 && data.toString('ascii', 1, 4) === 'PNG') {
        img = png_appender_1.getPngImage(pdf, data);
    }
    else {
        throw new Error('Unknown image format.');
    }
    return img;
};
