"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var plain_add_placeholder_1 = __importDefault(require("./pdf/node-signpdf/plain-add-placeholder"));
var sign_1 = require("./pdf/node-signpdf/sign");
var digital_signature_service_1 = require("./signature/digital-signature.service");
exports.sign = function (pdf, certBuffer, certPassword, signatureOptions) {
    var pdfWithPlaceholder = plain_add_placeholder_1.default(pdf, signatureOptions);
    var _a = sign_1.replaceByteRangeInPdf(pdfWithPlaceholder), pdfWithActualByteRange = _a.pdf, placeholderLength = _a.placeholderLength, byteRange = _a.byteRange;
    var signature = digital_signature_service_1.getSignature(pdfWithActualByteRange, certBuffer, placeholderLength, certPassword);
    var signedPdf = sign_1.addSignatureToPdf(pdfWithActualByteRange, byteRange[1], signature);
    return signedPdf;
};
